Data Fields
_PurpleConvIm Struct Reference

Data specific to Instant Messages. More...

`#include <conversation.h>`

## Data Fields
PurpleConversation * | conv
| The parent conversation. More...
PurpleTypingState | typing_state
| The current typing state. More...
guint | typing_timeout
| The typing timer handle. More...
time_t | type_again
| The type again time. More...
guint | send_typed_timeout
| The type again timer handle. More...
PurpleBuddyIcon * | icon
| The buddy icon. More...

## Detailed Description

Data specific to Instant Messages.

Definition at line 258 of file conversation.h.

## Field Documentation

## ◆ conv

PurpleConversation* _PurpleConvIm::conv

The parent conversation.

Definition at line 260 of file conversation.h.

## ◆ icon

PurpleBuddyIcon* _PurpleConvIm::icon

The buddy icon.

Definition at line 267 of file conversation.h.

## ◆ send_typed_timeout

guint _PurpleConvIm::send_typed_timeout

The type again timer handle.

Definition at line 265 of file conversation.h.

## ◆ type_again

time_t _PurpleConvIm::type_again

The type again time.

Definition at line 264 of file conversation.h.

## ◆ typing_state

PurpleTypingState _PurpleConvIm::typing_state

The current typing state.

Definition at line 262 of file conversation.h.

## ◆ typing_timeout

guint _PurpleConvIm::typing_timeout

The typing timer handle.

Definition at line 263 of file conversation.h.

The documentation for this struct was generated from the following file:

- conversation.h